# 简介

`Bricks` 是一个为了快速构建爬虫项目并进行统一管理部署而编写的应用框架。可以应用在包括数据挖掘，数据提取，状态监控，交互控制等一系列程序中。适用于页面抓取及应用 `API` 数据抓取等通用网络爬虫。

`Bricks` 原意即为积木，表示这个框架本身是一个精简轻量的框架，由很多个零部件拼凑而成，让你开发应用就像搭积木一样简单！


# 特性

`Bricks` 拥有以下特性

- 基于事件触发拓展爬虫，在定义好自己爬虫主体逻辑的情况下，可以在不修改核心代码的情况下，在请求前后，存储前后等多个事件接口进行拓展，让爬虫流程更加清晰
- 多个爬虫基类，可以有纯代码是的 `air` 爬虫，还有流程化自定义的配置式 `form` 爬虫，还有固定流程的配置式 `template` 爬虫
- 丰富的解析器，包括 `json` / `xpath` / `jsonpath` / `regex` / `json` / 自定义，并且支持配置式书写解析规则
- 灵活可拓展的下载器，目前内置的下载器为 `curl-cffi` ，并且还有可选的 `requests` /  `requests-go` / `pycurl`， 开发者可以根据规范自己定制下载器
- 灵活的调度器，调度器支持处理同步任务和异步任务，并且支持根据当前任务数量自动条件 `Worker` 数量


# 安装

```
pip install bricks-py
```

# 使用文档
具体文档请查看 [WIKI](https://github.com/KKKKKKKEM/bricks/wiki)

